
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef DEF_INCLUDED
#define DEF_INCLUDED

#ifdef TEST
#    define TEMPLATE
#    define MULTI_TEMPLATE
#    define SIMPLE_TEMPLATE
#endif 

#ifdef __lint
#    ifndef TEMPLATE
#       define TEMPLATE
#    endif 
#    ifndef MULTI_TEMPLATE
#       define MULTI_TEMPLATE
#    endif 
#    ifndef MULTI_TEMPLATE
#       define SIMPLE_TEMPLATE
#    endif 
#endif 

#ifdef MAKE_DEPEND
#    define TEMPLATE
#    define MULTI_TEMPLATE
#    define SIMPLE_TEMPLATE
#endif 

#define MIN_RGB                                  (0.1)
#define MAX_RGB                                (255.0)
 
#define MIN_X_DIV_B                            (MIN_RGB/MAX_RGB)
#define MAX_X_DIV_B                            (MAX_RGB/MIN_RGB)
#define MAX_X_DIV_SUM                          (MAX_RGB/MIN_RGB)
#define MAX_PROJECTION_COORDINATE              (MAX_RGB/MIN_RGB)
 
#define MAX_NUM_PLOT_POINTS                    100
#define MIN_ILLUMINANT_CHROMATICITY_COMPONANT    0.00001
 
#define MAX_NUM_CANON_GAMUTS          20
#define MAX_NUM_NEURAL_NETS            8
#define MAX_NUM_LUMINANCE_METHODS      5
#define MAX_NUM_SCA_WEIGHT_FUNCTIONS  24
#define NUM_CORMATS_PER_ALG           20      /* Lindsay - April 14, 1999 */

#ifdef MULTI_TEMPLATE
#    define MAX_NUM_MULTI_TEMPLATE_ALGS  10
#endif 

#ifdef TEST                                   /* Lindsay - May 4, 1999    */
/*
*/
#endif

#endif

