
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef I_BYTE_INCLUDED 
#define I_BYTE_INCLUDED 
 
#include "i/i_gen.h"

/* -------------------------------------------------------------------------- */

typedef struct Byte_pixel 
{   
    uchar r, g, b; 
}    
Byte_pixel;

typedef struct Byte_image
{   
    int          num_rows;
    int          num_cols;
    int          read_only; 
    Byte_pixel** pixels;
}   
Byte_image;

/* -------------------------------------------------------------------------- */

Byte_image* create_byte_image(int num_rows, int num_cols);
void free_byte_image(Byte_image* ip);

int get_target_byte_image
(
    Byte_image** out_ipp,
    int          num_rows,
    int          num_cols 
);

#endif 

