
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_I_INCL_H
#        ifndef MAKE_DEPEND_DIR
#            define I_INCL_INCLUDED
#        endif
#    endif 
#endif 

#ifndef I_INCL_INCLUDED 
#define I_INCL_INCLUDED 
 
#include "i/i_gen.h" 

/*
// Contents of i_gen.h. Don't include here, otherwise makedepend will not work
// as well (I think it will still work, but it will make a less efficient
// makefile.
//
#include "l/l_incl.h" 
#include "m/m_incl.h" 
#include "c/c_incl.h" 
#include "i/i_def.h" 
#include "i/i_type.h" 
#include "i/i_global.h"
#include "i/i_float.h"
#include "i/i_lib.h"
#include "i/i_error.h"
#include "i/i_arithmetic.h"
#include "i/i_ave.h"
#include "i/i_float_io.h"
#include "i/i_gamma.h"
#include "i/i_float_io.h"
#include "i/i_set.h"
#include "i/i_stat.h"
*/

#include "i/i_byte.h"
#include "i/i_byte_io.h"
#include "i/i_collage.h"
#include "i/i_colour.h"
#include "i/i_convert.h"
#include "i/i_convolve.h"
#include "i/i_data.h"
#include "i/i_demosaic.h"
#include "i/i_display.h"
#include "i/i_draw.h"
#include "i/i_driver.h"
#include "i/i_hdrc.h"
#include "i/i_io.h"
#include "i/i_map.h"
#include "i/i_matrix.h"
#include "i/i_metric.h"
#include "i/i_offset.h"
#include "i/i_set_aux.h"
#include "i/i_transform.h"
#include "i/i_valid.h"
#include "i/i_video.h"
#include "i/i_plot.h"
#include "i/i_html.h"

#endif    /*   #include this file            */

