
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef I_TRANSFORM_INCLUDED 
#define I_TRANSFORM_INCLUDED 1
 
#include "l/l_def.h"
#include "m/m_matrix.h"
#include "i/i_type.h"

int ow_invert_image(KJB_image* ip);

int rotate_image_left(KJB_image** target_ipp, const KJB_image* ip);

int rotate_image_right(KJB_image** target_ipp, const KJB_image* ip);

#endif 

