
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef L_DEBUG_INCLUDED 
#define L_DEBUG_INCLUDED

#include "l/l_def.h"

#ifdef TEST 
#    define TEST_PSO(x) test_pso x 
#else
#    define TEST_PSO(x)
#endif 

int  set_debug_options(const char* option, const char* value);
void hex_print        (FILE*, void*, size_t);
void get_status_string(int status_num, char* buff, size_t buff_size);

#ifdef STANDARD_VAR_ARGS
#ifndef SGI /* SGI pretends it is lint and gives spurious messages. */
    /*PRINTFLIKE1*/
#endif 
    void test_pso(const char*, ...);
#else
    void test_pso(void);
#endif

#endif 

