
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_L_GEN_H
#        ifndef MAKE_DEPEND_DIR
#            define L_GEN_INCLUDED
#        endif
#    endif 
#endif 

#ifndef L_GEN_INCLUDED 
#define L_GEN_INCLUDED

/* The order of these "includes" counts! (But should it?)*/ 

#include "l/l_sys_sys.h" 
#include "l/l_sys_std.h" 
#include "l/l_sys_def.h" 
#include "l/l_def.h" 
#include "l/l_type.h" 
#include "l/l_global.h" 
#include "l/l_debug.h" 
#include "l/l_sys_debug.h" 
#include "l/l_sys_err.h" 
#include "l/l_sys_io.h" 
#include "l/l_sys_lib.h" 
#include "l/l_sys_mal.h" 
#include "l/l_sys_sig.h"  /* Already included by l_global.h. Add it here to make
                        // sure that we don't forget this dependency.  */
#include "l/l_sys_term.h"  
#include "l/l_sys_time.h"  
#include "l/l_sys_str.h"  

#include "l/l_error.h" 
#include "l/l_parse.h"  
#include "l/l_string.h"  

#endif 

