
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_L_INCL_H
#        ifndef MAKE_DEPEND_DIR
#            define L_INCL_INCLUDED
#        endif
#    endif 
#endif 

#ifndef L_INCL_INCLUDED 
#define L_INCL_INCLUDED 
 
/*
   The order of some of these includes does matter. 
*/ 

#include "l/l_gen.h"

/*
// Contents of l/gen.h. Include here but commented out, otherwise makedepend
// will not work
//
#include "l/l_sys_sys.h" 
#include "l/l_sys_std.h" 
#include "l/l_sys_def.h" 
#include "l/l_def.h" 
#include "l/l_type.h" 
#include "l/l_global.h" 
#include "l/l_debug.h" 
#include "l/l_sys_debug.h" 
#include "l/l_sys_err.h" 
#include "l/l_sys_io.h" 
#include "l/l_sys_lib.h" 
#include "l/l_sys_mal.h" 
#include "l/l_sys_sig.h"
#include "l/l_sys_term.h"  
#include "l/l_sys_time.h" 
#include "l/l_sys_str.h"  
#include "l/l_error.h" 
#include "l/l_parse.h"  
#include "l/l_string.h"  
*/

#include "l/l_2D_arr.h" 
#include "l/l_3D_arr.h" 
#include "l/l_4D_arr.h"
#include "l/l_help.h" 
#include "l/l_init.h"
#include "l/l_int_mat_io.h"
#include "l/l_int_matrix.h"
#include "l/l_int_vector.h"
#include "l/l_io.h"
#include "l/l_justify.h"
#include "l/l_lib.h"
#include "l/l_math.h" 
#include "l/l_queue.h" 
#include "l/l_set_aux.h"
#include "l/l_set.h" 
#include "l/l_sort.h" 
#include "l/l_sys_net.h"
#include "l/l_sys_rand.h" 
#include "l/l_sys_tsig.h" 
#include "l/l_sys_X11.h" 
#include "l/l_verbose.h"
#include "l/l_arg.h"
#include "l/l_sys_scan.h"
#include "l/l_config.h"
#include "l/l_getopt.h"

#endif    /*   #include this file            */
  
