
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef L_MATH_INCLUDED 
#define L_MATH_INCLUDED

#include "l/l_def.h"

int ipower(int, int);
int int_plus(int, int);
int ptr_int_compare(int*, int*, int);
int max3(int, int, int);
int min3(int, int, int);

#ifdef STANDARD_VAR_ARGS
int pos_min(int, ...);
#else
int pos_min(void);
#endif

int get_random_integer_list
(
    int  count,
    int  min_value,
    int  max_value,
    int* output_array 
);

double kjb_log2(double x);

#endif 

