
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef L_SYS_RANDOM_INCLUDED 
#define L_SYS_RANDOM_INCLUDED

#include "l/l_def.h"

/* -------------------------------------------------------------------------- */

int    set_random_options        (const char* option, const char* value);
double kjb_rand                  (void);

void   kjb_seed_rand             
(
    long first_seed_value,
    long second_seed_value 
);
void   kjb_seed_rand_with_3_short(ushort buff[ 3 ]);
int    get_rand_seed             (ushort buff[ 3 ]);
double kjb_rand_2                (void);
void   kjb_seed_rand_2           (long seed);
#endif 

