
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef L_SYSTEM_STRING_INCLUDED 
#define L_SYSTEM_STRING_INCLUDED

#include "l/l_def.h"

#ifdef STANDARD_VAR_ARGS
    /*PRINTFLIKE3*/
    Size_result kjb_sprintf
    (
        char*       buff,
        size_t      max_len,
        const char* format_str,
        ...          
    );
#else 
    Size_result kjb_sprintf(void);
#endif

Size_result kjb_vsprintf
(
    char*       buff,
    size_t      max_len,
    const char* format_str,
    va_list     ap 
);
#endif 

