
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_M_INCL_H
#        ifndef MAKE_DEPEND_DIR
#            define M_INCL_INCLUDED
#        endif
#    endif 
#endif 

#ifndef M_INCL_INCLUDED 
#define M_INCL_INCLUDED 
 
#include "m/m_gen.h" 

/*
// Contents of m_gen.h. Don't include here, otherwise makedepend will not work
// as well (I think it will still work, but it will make a less efficient
// makefile.
//
#include "m/m_def.h"
#include "m/m_type.h"
#include "m/m_vector.h"
#include "m/m_matrix.h"
#include "m/m_global.h"
#include "m/m_error.h"
#include "m/m_debug.h"
#include "m/m_mat_norm.h"
#include "m/m_mat_io.h"
#include "m/m_mat_arith.h"
#include "m/m_mat_basic.h"
#include "m/m_vec_norm.h"
#include "m/m_vec_io.h"
#include "m/m_vec_arith.h"
#include "m/m_vec_basic.h"
*/

#include "m/m_io.h" 
#include "m/m_lut.h" 
#include "m/m_mat_error.h"
#include "m/m_mat_metric.h"
#include "m/m_random.h" 
#include "m/m_set.h" 
#include "m/m_spline.h" 
#include "m/m_stat.h" 
#include "m/m_vec_stat.h" 
#include "m/m_norm.h"
#include "m/m_mat_stat.h"
#include "m/m_vec_metric.h"

#endif    /*   #include this file            */

