
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_N_INCL_H
#        ifndef MAKE_DEPEND_DIR
#            define N_INCL_INCLUDED
#        endif
#    endif 
#endif 

#ifndef N_INCL_INCLUDED 
#define N_INCL_INCLUDED 
 
#include "n/n_gen.h"

/*
// Contents of m_gen.h. Don't include here, otherwise makedepend will not work
// as well (I think it will still work, but it will make a less efficient
// makefile.
//
#include "m/m_gen.h"
#include "n/n_fortran.h"
*/

#include "n/n_fit.h"
#include "n/n_invert.h"
#include "n/n_lapack.h"
#include "n/n_roots.h"
#include "n/n_set.h"
#include "n/n_svd.h"
#include "n/n_quadratic.h"
#include "n/n_slatec.h"

#endif    /*   #include this file            */

