
/* =========================================================================== *
|
|  Copyright (c) 1994-2002 by Kobus Barnard (author).
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef CANON_GAMUT_INCLUDED
#define CANON_GAMUT_INCLUDED

#include "m/m_incl.h"
#include "type.h"

EXTERN_C int                             
(
    set_canon_gamut_options (const char* option, const char* value) 
);

int      make_canon_gamut                
(
    const char* make_directive,
    const char* file_name 
);

int      get_sharp_canon_gamut           
(
    Matrix** target_mpp,
    int      canon_gamut_num 
);

int      canon_specular_rgb_is_up_to_date(int proposed_version);

#endif

