:""
:set viminfo=
:set ul=0
:set ttyfast
:""
:""
:" Remove all comment lines"
:"g/^#/d"
:"
:"
:" Make it so that all lines have a blank at the end so we don't have to match 
:" the end of lines. "
:%s/ *$/ /e
:"
:" Make it so that all colons are surrounded by blanks to also simplify matching
:%s/ *: */ : /e
:""
:""
:"Was like this, but this *must* be superceeded by below? 
:""" " Do <junk>/lib/<dir>/<dir>.<suffix>
:""" %s/ [^ ]*\/lib\/\([a-z0-9_]*\)\/\1\.\(\<[Ccohit]p*x*\>\)/ $(\U\1\e_DIR)\1.\2/ge
:""" %s/^[^ ]*\/lib\/\([a-z0-9_]*\)\/\1\.\(\<[Ccohit]p*x*\>\)/$(\U\1\e_DIR)\1.\2/ge
:""" 
:""" " Do lib/<dir>/<dir>.<suffix>
:""" %s/ lib\/\([a-z0-9_]*\)\/\1\.\(\<[Ccohit]p*x*\>\)/ $(\U\1\e_DIR)\1.\2/ge
:""" %s/^lib\/\([a-z0-9_]*\)\/\1\.\(\<[Ccohit]p*x*\>\)/$(\U\1\e_DIR)\1.\2/ge
:
:" Do <junk>/lib/<dir>/<other_stuff>.<suffix>
:%s/ [^ ]*\/lib\/\([A-Za-z0-9_\-]*\)\/\([a-z_A-Z0-9\-\.]*\.\<[Ccohit]p*x*\>\)/ $(\U\1\e_DIR)\2/ge
:%s/^[^ ]*\/lib\/\([A-Za-z0-9_\-]*\)\/\([a-z_A-Z0-9\-\.]*\.\<[Ccohit]p*x*\>\)/$(\U\1\e_DIR)\2/ge
:
:" Do lib/<dir>/<other_stuff>.<suffix>
:%s/ lib\/\([A-Za-z0-9_\-]*\)\/\([a-z_A-Z0-9\-\.]*\.\<[Ccohit]p*x*\>\)/ $(\U\1\e_DIR)\2/ge
:%s/^lib\/\([A-Za-z0-9_\-]*\)\/\([a-z_A-Z0-9\-\.]*\.\<[Ccohit]p*x*\>\)/$(\U\1\e_DIR)\2/ge
:
:"Was like this, but this *must* be superceeded by below? 
:""" " Do <dir>/<dir>.<suffix>
:""" %s/ \([a-z0-9_]*\)\/\1\.\(\<[Ccohit]p*x*\>\)/ $(\U\2\e_DIR)\1.\2/ge
:""" %s/^\([a-z0-9_]*\)\/\1\.\(\<[Ccohit]p*x*\>\)/$(\U\2\e_DIR)\1.\2/ge
:
:" Do <dir>/<other_stuff>.<suffix> (Note that allowing the periond in the <dir> was already 
:" there when we added allowing them in file names. 
:%s/ \([A-Za-z0-9_\-]*\)\/\([a-z_A-Z0-9\-\.]*\.\<[Ccohit]p*x*\>\)/ $(\U\1\e_DIR)\2/ge
:%s/^\([A-Za-z0-9_\-]*\)\/\([a-z_A-Z0-9\-\.]*\.\<[Ccohit]p*x*\>\)/$(\U\1\e_DIR)\2/ge
:
:" We have reduced our reliance on this file, so we can be a bit more agressive to deal with the 
:" case that we are building libKJB.a from the KJB library directory (i.e., lib/), but only need
:" to do object lists, and thus we have one item per line as ../<stuff>/<other_stuff>.h"
:%s/ \.\.\/\([A-Za-z1-9_\-]*\)\/\([A-Za-z0-9_\-\.]*\.[Ccohit]p*x*\) *$/$(\U\1\e_DIR)\2 /ge
:%s/^\.\.\/\([A-Za-z1-9_\-]*\)\/\([A-Za-z0-9_\-\.]*\.[Ccohit]p*x*\) *$/$(\U\1\e_DIR)\2 /ge
:
:" Kill remaining full paths"
:%s/ \/[^ ]*//ge
:
:
:" Now trim all blanks"
:%s/ *$//ge
:""
:wq
