
/* =========================================================================== *
|
|  Copyright (c) 1994-2002 by Kobus Barnard (author).
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef GAMUT_3D_INCLUDED
#define GAMUT_3D_INCLUDED

#include "l/l_incl.h"
#include "m/m_incl.h"
#include "type.h"

EXTERN_C int set_3D_gamut_options(const char* option, const char* value);

int do_gamut_3D
(
    Colour_constancy_methods* cc_methods_ptr,
    int                       prompt_to_increase_error_flag,
    int*                      data_point_nums,
    Matrix*                   data_mp,
    Result_by_algorithm*      result_ptr,
    Gamut_error*              cpu_time_ptr,
    Gamut_input_data_error*   input_error_ptr
);

#endif

