
/* $Id: m_gen.h 7987 2010-12-15 09:32:33Z kobus $ */

/* =========================================================================== *
|
|  Copyright (c) 1994-2008 by Kobus Barnard (author).
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowledged in publications, and relevant papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarantee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

/* This file should only include other files which are protected for C++ use. */

#ifdef WAS_MAKEDEPEND /* Now obsolete. */
#    ifndef MAKE_DEPEND_M_GEN_H
#        ifndef MAKE_DEPEND_DIR
#            define M_GEN_INCLUDED
#        endif
#    endif
#endif

#ifndef M_GEN_INCLUDED
#define M_GEN_INCLUDED

#include "l/l_incl.h"

#include "m/m_def.h"
#include "m/m_type.h"
#include "m/m_vector.h"
#include "m/m_matrix.h"
#include "m/m_mat_vector.h"
#include "m/m_global.h"
#include "m/m_error.h"
#include "m/m_debug.h"
#include "m/m_mat_norm.h"
#include "m/m_mat_io.h"
#include "m/m_mat_arith.h"
#include "m/m_mat_basic.h"
#include "m/m_vec_norm.h"
#include "m/m_vec_io.h"
#include "m/m_vec_arith.h"
#include "m/m_vec_basic.h"

#endif

