
/* =========================================================================== *
|
|  Copyright (c) 1994-2002 by Kobus Barnard (author).
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef OUTPUT_ERROR_INCLUDED
#define OUTPUT_ERROR_INCLUDED

#include "m/m_matrix.h"
#include "type.h"

EXTERN_C int set_output_error_options(const char* option, const char* value);
int write_error_output_files(Colour_constancy_error* error_ptr);

#endif

