
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef BEST_FIT_INCLUDED
#define BEST_FIT_INCLUDED

#include "l/l_incl.h"
#include "m/m_incl.h"
#include "type.h"

int do_best_fit
(
    Best_fit_result* best_fit_ptr,
    int              num_data_points,
    int*             data_point_nums 
);

int set_best_fit_options(const char* option, const char* value);

#endif

