
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_GEN_H
#        ifndef MAKE_DEPEND_DIR
#            define GEN_INCLUDED
#        endif
#    endif 
#endif 

#ifndef GEN_INCLUDED
#define GEN_INCLUDED

#include "c/c_incl.h"
#include "g/g_incl.h"
#include "h/h_incl.h"
#include "h2/h2_incl.h"
#include "i/i_incl.h"
#include "l/l_incl.h"
#include "m/m_incl.h"
#include "n/n_incl.h"
#include "p/p_incl.h"
#include "s/s_incl.h"
#include "t1/t1_incl.h"

#include "def.h"
#include "type.h"
#include "global.h"

#include "lib.h"
#include "sharp.h"

#endif

