
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_C_INCL_H
#        ifndef MAKE_DEPEND_DIR
#            define C_INCL_INCLUDED
#        endif
#    endif 
#endif 

#ifndef C_INCL_INCLUDED 
#define C_INCL_INCLUDED 
 
#include "c/c_gen.h" 

#include "c/c_sensor.h"
#include "c/c_set.h"
#include "c/c_projection.h"
#include "c/c_fluorescence.h"
#include "c/c_sharp.h"
#include "c/c_colour_space.h"

#endif    /*   #include this file            */

