
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef I_OFFSET_INCLUDED 
#define I_OFFSET_INCLUDED 
 
#include "l/l_def.h"
#include "i/i_type.h"

int set_offset_removal_options(const char*, const char*);
int set_camera_vector_offset(const char* file_name);
int set_camera_image_offset(const char* file_name);
int set_camera_spatial_chrom_file(const char* file_name);
int remove_camera_offset_from_image(KJB_image*);
int remove_camera_offset_from_data(Matrix*);

#endif 

