
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef I_PLOT_INCLUDED 
#define I_PLOT_INCLUDED 
 
#include "i/i_type.h"
#include "p/p_plot.h"

int write_plot_image(int plot_num, const char* file_name, int reduction);

int get_plot_image(KJB_image** ipp, int plot_num, int reduction);

int make_image_from_plot(KJB_image** ipp, int plot_num);

#endif 

