
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef L_JUSTIFY_INCLUDED 
#define L_JUSTIFY_INCLUDED 

#include "l/l_def.h"

int left_justify
(
    const char* in_str,
    int         width,
    int         no_format_threshold,
    const char* no_format_chars,
    int         keep_indentation,
    int         extra_indent,
    char*       out_str,
    long        max_len 
);

#endif 

