
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef M_MAT_METRIC_INCLUDED 
#define M_MAT_METRIC_INCLUDED 

#include "m/m_gen.h"

double max_rel_matrix_difference
(
    const Matrix* first_mp,
    const Matrix* second_mp 
);

double max_abs_matrix_difference
(
    const Matrix* first_mp,
    const Matrix* second_mp 
);

double frobenius_matrix_difference
(
    const Matrix* first_mp,
    const Matrix* second_mp 
);

double rms_matrix_difference
(
    const Matrix* first_mp,
    const Matrix* second_mp 
);

double rms_matrix_row_difference
(
    const Matrix* first_mp,
    const Matrix* second_mp 
);

#endif 

