
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef M_NORM_INCLUDED 
#define M_NORM_INCLUDED 

#include "m/m_gen.h"

typedef enum Norm_method 
{   
    DONT_NORMALIZE = 0, 
    NORMALIZE_BY_MAGNITUDE,
    NORMALIZE_BY_MEAN,
    NORMALIZE_BY_SUM,
    NORMALIZE_BY_MAX_ABS_VALUE,
    NORMALIZATION_METHOD_ERROR = ERROR
}    
Norm_method;

Norm_method parse_normalization_method(const char* normalization_string);

#endif 

