
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef N_FORTRAN_INCLUDED
#define N_FORTRAN_INCLUDED

#include "m/m_gen.h"

double* get_1D_dp_array_from_matrix(const Matrix* mp);

Matrix* put_1D_dp_array_into_matrix
(
    int           num_rows,
    int           num_cols,
    const double* data_ptr 
);

double* get_fortran_1D_dp_array_from_matrix(const Matrix* mp);

Matrix* put_fortran_1D_dp_array_into_matrix
(
    int           num_rows,
    int           num_cols,
    const double* data_ptr 
);

#endif

