
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef N_SLATEC_INCLUDED 
#define N_SLATEC_INCLUDED 

#include "m/m_gen.h"

int do_dlsei_quadratic
(
    Matrix* mp,
    Vector* target_vp,
    Matrix* le_constraint_mp,
    Vector* le_constraint_col_vp,
    Matrix* eq_constraint_mp,
    Vector* eq_constraint_col_vp,
    Vector* lb_row_vp,
    Vector* ub_row_vp,
    Vector* result_vp 
);

int do_dbocls_quadratic
(
    Matrix* mp,
    Vector* target_vp,
    Matrix* eq_constraint_mp,
    Vector* eq_constraint_col_vp,
    Matrix* le_constraint_mp,
    Vector* le_constraint_col_vp,
    Vector* lb_row_vp,
    Vector* ub_row_vp,
    Vector* result_vp 
);

#endif

