
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef N_SVD_INCLUDED 
#define N_SVD_INCLUDED 
 
#include "m/m_gen.h"

#undef HAVE_SVD

#ifdef HAVE_LAPACK
#define HAVE_SVD
#else
#endif 
 
int set_svd_options(const char* option, const char* value);

int do_svd
(
    const Matrix* a_mp,
    Matrix**      u_mp_mp,
    Vector**      d_vpp,
    Matrix**      v_trans_mpp,
    int*          rank_ptr 
);

int get_determinant_abs(const Matrix* mp, double* det_ptr);

#endif

