
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef P_INCL_FAST_INCLUDED 
#define P_INCL_FAST_INCLUDED

#ifdef MAKE_DEPEND 
#ifdef USE_FAST_INCLUDE
#    undef USE_FAST_INCLUDE
#endif 
#endif 

/*
// We can only have one fast include file, because fast include files cannot
// use double include information.
*/
#ifdef FIRST_FAST_INCLUDE_FILE
#   undef USE_FAST_INCLUDE
#else 
#   define FIRST_FAST_INCLUDE_FILE
#endif 

#ifdef USE_FAST_INCLUDE
#    include "p/p_incl_f2.h"
#else
#    include "p/p_incl.h"
#endif 

#endif    /*   #include this file            */
  
