
/* =========================================================================== *
|  
|  Copyright (c) 1994-2002 by Kobus Barnard (author). 
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef MULTI_TEMPLATE_INCLUDED
#define MULTI_TEMPLATE_INCLUDED

#include "l/l_incl.h"
#include "m/m_incl.h"

int set_multi_template_options(const char* option, const char* value);

int make_multi_template
(
    const char* make_directive,
    const char* file_name 
);

int do_multi_template
(
    const Matrix*          data_mp,
    Multi_template_result* result_ptr,
    Multi_template_error*  cpu_time_ptr 
);

#endif

