
/* $Id: s2_gen.h 4727 2009-11-16 20:53:54Z kobus $ */

/* =========================================================================== *
|
|  Copyright (c) 1994-2008 by Kobus Barnard (author).
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowledged in publications, and relevant papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarantee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

/* This file should only include other files which are protected for C++ use. */

#ifdef MAKE_DEPEND
#    ifndef MAKE_DEPEND_S2_GEN_H
#        ifndef MAKE_DEPEND_DIR
#            define S2_GEN_INCLUDED
#        endif
#    endif
#endif

#ifndef S2_GEN_INCLUDED
#define S2_GEN_INCLUDED

#include "l/l_incl.h"
#include "m/m_incl.h"

#include "s/s_incl.h"

#include "s2/s2_def.h"
#include "s2/s2_type.h"

#endif

