
/* =========================================================================== *
|
|  Copyright (c) 1994-2002 by Kobus Barnard (author).
|
|  Personal and educational use of this code is granted, provided that this
|  header is kept intact, and that the authorship is not misrepresented, that
|  its use is acknowleged in publications, and relevent papers are cited.
|
|  For other use contact the author (kobus AT cs DOT arizona DOT edu).
|
|  Please note that the code in this file has not necessarily been adequately
|  tested. Naturally, there is no guarentee of performance, support, or fitness
|  for any particular task. Nonetheless, I am interested in hearing about
|  problems that you encounter.
|
* =========================================================================== */

#ifndef GAMUT_ALG_INPUT_INCLUDED
#define GAMUT_ALG_INPUT_INCLUDED

#include "l/l_incl.h"
#include "m/m_incl.h"
#include "type.h"

/* -------------------------------------------------------------------------- */

EXTERN_C int set_gamut_alg_input_options(const char* option, const char* value);

int process_negative_data
(
    Matrix**             result_mpp,
    const Matrix*        data_mp,
    Negative_data_action negative_data_action,
    const char*          data_id_str
);

#endif

